org.vishia.gral.awt

## Class AwtGralKey

- java.lang.Object
- - org.vishia.util.KeyCode
  - - org.vishia.gral.awt.AwtGralKey

-     public class AwtGralKey
      extends KeyCode

  Adaption from AWT-KeyCodes to universal vishia key codes.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AwtGralKey.MouseAction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `version` Version, history and license 2015-30-10 Hartmut created for Key handling from SwtGralkeyin the GRAL.

    - ### Fields inherited from class org.vishia.util.KeyCode

      `activated, alphanum, alt, altDigit, back, code, ctrl, ctrlAlt, ctrlDigit, defaultSelect, del, dn, dragFiles, dragText, dropFiles, dropText, end, enter, Entered, esc, F1, F10, F11, F12, F2, F3, F4, F5, F6, F7, F8, F9, focusGained, focusLost, function, functionDigit, home, ins, left, mAddKeys, mCtrlAlt, mCtrlAltDigit, menuEntered, mouse1Double, mouse1Down, mouse1Up, mouse1UpMoved, mouse2Double, mouse2Down, mouse2Up, mouse2UpMoved, mouse3Down, mouse3Up, mouseBothDown, mouseWheelDn, mouseWheelUp, mSpecialKeyDigit, mSpecialKeys, nonAlphanum, pgdn, pgup, removed, right, shift, shiftAlt, shiftCtrl, shiftCtrlAlt, shiftDigit, str, sVersion, tab, undefined, up, userSelect, valueChanged`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `AwtGralKey()` This class isn't instantiated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `convertFromAwt(int keyCode, int stateMask, char characterKey)`
    `static int` | `convertMouseKey(int button, AwtGralKey.MouseAction action, int stateMask)`

    - ### Methods inherited from class org.vishia.util.KeyCode

      `convert, isAsciiTextKey, isControlFunctionMouseUpOrMenu, isControlOrFunction, isTextKey, isWritingKey, isWritingOrTextNavigationKey, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license
      - 2015-30-10 Hartmut created for Key handling from SwtGralkeyin the GRAL.
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AwtGralKey

          private AwtGralKey()

      This class isn't instantiated. Only the static method and the static definitions of KeyCode are used.

  - ### Method Detail

    - #### convertFromAwt

          public static int convertFromAwt(int keyCode,
                                           int stateMask,
                                           char characterKey)

    - #### convertMouseKey

          public static int convertMouseKey(int button,
                                            AwtGralKey.MouseAction action,
                                            int stateMask)